import { jsx } from "react/jsx-runtime";
import { CornersOut as CornersOut$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CornersOut = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CornersOut", ...props, children: /* @__PURE__ */ jsx(CornersOut$1, { weight: variant }) });
  }
);
CornersOut.displayName = "CornersOut";
Object.assign(CornersOut, { isGdsIcon: true });
export {
  CornersOut
};
